Subject: [os2genau_digest] No. 1370
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 11 Oct 2006 00:00:29 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 10 October 2006
 Number  1370
**************************************************

Subjects for today
 
1  Re:  Time synchronisation : Dennis Nolan <djn at aanet dot com dot au>
2  Re:  Time synchronisation : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Mon, 09 Oct 2006 11:21:32 +1000
From:  Dennis Nolan <djn at aanet dot com dot au>
Subject:  Re:  Time synchronisation

Ed Durrant wrote:

> Dennis Nolan wrote:
>
>> Hi everyone,
>>
>> I suspect that when I changed to VoIP that the modem started to block 
>> the time synchronisation.
>>
>> I believe that the packet filtering needs to be set up to allow the 
>> computer to talk to the time servers.
>>
>> A complication is that there are various types of services using 
>> different protocols and so it would probably be advisable to 
>> determine which service to use and tailor the setup to that 
>> particular service or protocol.
>>
>>
>> Anyone got any suggestions.
>>
>> Regards
>>
>> Dennis
> 
>>
>> 
>
>>
> Welcome to the world of port forwarding !!
>
> I presume your VOIP adapter is actually a router with a VOIP PSTN 
> connection ? not just an ATA ??
>
> I have this "problem" twice as I have separate WiFi router (Linksys 
> WRT54G) and VOIP Router (Netcomm V300).
>
> Cheers/2
>
> Ed.
>
Yes Ed,
it is a billion 7402vgp router with the works.

Interestingly I went into it's setup and found that it has it's own 
section for SNTP. On the laptop XP pro seems to be able to keep the 
correct time, maybe it is using the time in the router. I don't know.

Also I checked the firewall packet filter settings and UDP port 123~123 
is enabled, and so NTP on the OS/2 desktop should work.

Needs more work to find out what is wrong.

Regards

Dennis.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 10 Oct 2006 14:36:21 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Time synchronisation

Dennis Nolan wrote:
> 
> 
> Ed Durrant wrote:
> 
>> Dennis Nolan wrote:
>>
>>> Hi everyone,
>>>
>>> I suspect that when I changed to VoIP that the modem started to block 
>>> the time synchronisation.
>>>
>>> I believe that the packet filtering needs to be set up to allow the 
>>> computer to talk to the time servers.
>>>
>>> A complication is that there are various types of services using 
>>> different protocols and so it would probably be advisable to 
>>> determine which service to use and tailor the setup to that 
>>> particular service or protocol.
>>>
>>>
>>> Anyone got any suggestions.
>>>
>>> Regards
>>>
>>> Dennis
 
>>>
>>> 

>>>
>> Welcome to the world of port forwarding !!
>>
>> I presume your VOIP adapter is actually a router with a VOIP PSTN 
>> connection ? not just an ATA ??
>>
>> I have this "problem" twice as I have separate WiFi router (Linksys 
>> WRT54G) and VOIP Router (Netcomm V300).
>>
>> Cheers/2
>>
>> Ed.
>>
> Yes Ed,
> it is a billion 7402vgp router with the works.
> 
> Interestingly I went into it's setup and found that it has it's own 
> section for SNTP. On the laptop XP pro seems to be able to keep the 
> correct time, maybe it is using the time in the router. I don't know.
> 
> Also I checked the firewall packet filter settings and UDP port 123~123 
> is enabled, and so NTP on the OS/2 desktop should work.
> 
> Needs more work to find out what is wrong.
> 
> Regards
> 
> Dennis.
> 

Hi Dennis,

   It took a little while to find data on this device as it appears it 
has already been replaced with a later model - the 7404vgp. Anyway when 
I got to read the user manual, I can take a guess at what is happening.

   I presume you are using this device as your DHCP server and the 
windoze box is taking all of its configuration (including Time server 
from the data sent to it). Under OS/2 I don't believe the DHCP client 
picks up the SNTP server address and you will have entered it manually.

   I believe the router will also be running as both a DNS and a SNTP 
proxy, meaning, you should be able to set the OS/2 or eCS SNTP server 
settings to the IP address of the router and it should pass the required 
data through. If this works, try changing your DNS settings also to the 
router. Once you have configured the router to point at your required 
SNTP and DNS servers - let it proxy the work for you  - this will reduce
your network traffic to and from your ISP and hence costs.

Cheers/2

Ed.
----------------------------------------------------------------------------------